import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconUpload = (props: IconProps) => {
    return <Icon  id="IconUpload" {...props}>
        <path d="M10.9958 5.91836V16.5C10.9958 17.0523 11.4436 17.5 11.9958 17.5C12.5481 17.5 12.9958 17.0523 12.9958 16.5V5.91006L15.7929 8.70711C16.1834 9.09763 16.8166 9.09763 17.2071 8.70711C17.5976 8.31658 17.5976 7.68342 17.2071 7.29289L12.7071 2.79289C12.5113 2.5971 12.2545 2.49947 11.9979 2.5C11.9972 2.5 11.9965 2.5 11.9958 2.5C11.6921 2.5 11.4199 2.63546 11.2365 2.84927L6.79289 7.29289C6.40237 7.68342 6.40237 8.31658 6.79289 8.70711C7.18342 9.09763 7.81658 9.09763 8.20711 8.70711L10.9958 5.91836ZM21 11.5C21.5523 11.5 22 11.9477 22 12.5V21.5C22 22.0523 21.5523 22.5 21 22.5H3C2.44772 22.5 2 22.0523 2 21.5V12.5042C2 11.9519 2.44772 11.5042 3 11.5042C3.55228 11.5042 4 11.9519 4 12.5042V20.5H20V12.5C20 11.9477 20.4477 11.5 21 11.5Z" />
    </Icon>;
};

export default IconUpload;
